{
  "schema_version": "1.4.0",
  "id": "GHSA-j7qf-vq2m-64m9",
  "modified": "2025-04-11T03:46:49Z",
  "published": "2022-05-14T02:55:21Z",
  "aliases": [
    "CVE-2011-1824"
  ],
  "details": "The VEGAOpBitmap::AddLine function in Opera before 10.61 does not properly initialize memory during processing of the SIZE attribute of a SELECT element, which allows remote attackers to trigger an invalid memory write operation, and consequently cause a denial of service (application crash) or possibly execute arbitrary code, via a large integer attribute value.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2011-1824"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/67338"
    },
    {
      "type": "WEB",
      "url": "http://securityreason.com/securityalert/8244"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/778396"
    },
    {
      "type": "WEB",
      "url": "http://www.opera.com/docs/changelogs/mac/1061"
    },
    {
      "type": "WEB",
      "url": "http://www.opera.com/docs/changelogs/unix/1061"
    },
    {
      "type": "WEB",
      "url": "http://www.opera.com/docs/changelogs/windows/1061"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/517914/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/47764"
    },
    {
      "type": "WEB",
      "url": "http://www.toucan-system.com/advisories/tssa-2011-02.txt"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-20"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2011-05-10T18:55:00Z"
  }
}